/* A mettre au début de chaque fichier CSS */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Pour appliquer des modifications à la balise avec l'id login */
#login {
  height: 100vh; /* Hauteur de l'écran = 100% de la taille de l'écran */
  display: flex; /* Permet de positionner facilement les éléments enfants suivant un axe principal (vertical ou horizontal) */
  justify-content: center; /* Permet de placer les éléments suivant l'axe principal */
  align-items: center; /* Permet de placer les éléments suivant l'axe secondaire */
}

/* Pour appliquer des modifications aux balises form 
à l'intérieur de la balise avec l'id login */
#login form {
  display: flex;
  flex-direction: column; /* Permet de choisir l'axe principal */
  gap: 1rem; /* Espace entre deux éléments enfant de form */
  width: 300px;
}

#login input {
  padding: 10px; /* Espace intérieur à une balise */
  border: solid teal 2px; /* Permet de modifier la bordure d'une balise */
  border-radius: 10px; /* Permet de controller la courbure des bourdures */
}

/* Lorsque l'on passe la souris sur l'élément, les propriétés ci-dessous s'appliquent */
#login input:hover {
  border-color: rgb(0, 169, 169);
}

/* Lorsque l'on sélectionne sur l'élément, les propriétés ci-dessous s'appliquent */
#login input:focus {
  border-color: pink;
}

#login #submit {
  text-transform: uppercase;
  font-weight: bold;
  color: teal;
}
